## asfsmd 1.4.1

=== debian/changelog ===
asfsmd (1.4.1-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 May 2024 20:01:55 +0200

asfsmd (1.4.1-1) unstable; urgency=low

  * Initial release (Closes: #1064211).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 15 Apr 2024 06:09:28 +0000
