=== debian/control ===
Source: asfsmd
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-aiohttp,
               python3-all,
               python3-argcomplete,
               python3-asf-search,
               python3-fsspec,
               python3-pytest,
               python3-setuptools,
               python3-tqdm
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/asfsmd
Vcs-Git: https://salsa.debian.org/debian-gis-team/asfsmd.git
Homepage: https://github.com/avalentino/asfsmd
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
Description: ASF Sentinel-1 Metadata Download tool
 Small Python tool (`asfsmd`) that allows one to download XML
 files containing Sentinel-1 products metadata from the ASF
 archive.
 .
 Sentinel-1 products are stored in the ASF arcive as ZIP files
 that are quite large because they contain both the products
 annotations and the binary image data.
 .
 The `asfsmd` tool is able to retrieve only the relatively samll
 annotation files (in XML format) without downloading the entire
 ZIP archive.
 .
 `asfsmd` exploits Python packages like `fsspec` or `httpio` for
 reading HTTP resources as random-access file-like objects.
 In order to do it the remote server must support the `Range`
 header.
 .
 This approach allows one to open the ZIP archive remotely, inspects
 contents, and download only the pieces of data that are actually
 necessary to the user.
 .
 Performnces of this approach are quite poor but, in the specific
 case of Sentinel-1 products, the entire process results to be
 faster than downloading the entire ZIP archive and extracting only
 annotation files.

Package: python3-asfsmd
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: asfsmd
Section: utils
Architecture: all
Depends: python3-asfsmd (= ${source:Version}),
         ${python3:Depends},
         ${misc:Depends}
Recommends: python3-argcomplete
Description: ${source:Synopsis} - CLI tool
 ${source:Extended-Description}
 .
 This package contains the command line tool for asfsmd.
