=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_TEST_ARGS=$(CURDIR)/tests

%:
	dh $@ --buildsystem=pybuild
